
package de.ivu.elect.business.system.entity;

public enum SystemStatus {

  PRODUKTION {

    @Override
    public boolean isTestmodus() {
      return false;
    }

    @Override
    public boolean isProduktivmodus() {
      return true;
    }
  },
  TEST {

    @Override
    public boolean isTestmodus() {
      return true;
    }

    @Override
    public boolean isProduktivmodus() {
      return false;
    }
  };

  private SystemStatus() {
  }

  public abstract boolean isTestmodus();

  public abstract boolean isProduktivmodus();
}
